/* rygel-media-export-metadata-extractor.c generated by valac 0.13.3, the Vala compiler
 * generated from rygel-media-export-metadata-extractor.vala, do not modify */

/*
 * Copyright (C) 2008 Zeeshan Ali (Khattak) <zeeshanak@gnome.org>.
 * Copyright (C) 2009 Jens Georg <mail@jensge.org>.
 *
 * Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
 * Author: Jens Georg <mail@jensge.org>
 *
 * This file is part of Rygel.
 *
 * Rygel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Rygel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <libgupnp-dlna/gupnp-dlna-discoverer.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gst/pbutils/pbutils.h>
#include <rygel.h>
#include <gst/gst.h>
#include <libgupnp-dlna/gupnp-dlna-information.h>
#include <glib/gi18n-lib.h>


#define RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR (rygel_media_export_metadata_extractor_get_type ())
#define RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, RygelMediaExportMetadataExtractor))
#define RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, RygelMediaExportMetadataExtractorClass))
#define RYGEL_MEDIA_EXPORT_IS_METADATA_EXTRACTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR))
#define RYGEL_MEDIA_EXPORT_IS_METADATA_EXTRACTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR))
#define RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, RygelMediaExportMetadataExtractorClass))

typedef struct _RygelMediaExportMetadataExtractor RygelMediaExportMetadataExtractor;
typedef struct _RygelMediaExportMetadataExtractorClass RygelMediaExportMetadataExtractorClass;
typedef struct _RygelMediaExportMetadataExtractorPrivate RygelMediaExportMetadataExtractorPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _RygelMediaExportMetadataExtractor {
	GObject parent_instance;
	RygelMediaExportMetadataExtractorPrivate * priv;
};

struct _RygelMediaExportMetadataExtractorClass {
	GObjectClass parent_class;
};

struct _RygelMediaExportMetadataExtractorPrivate {
	GUPnPDLNADiscoverer* discoverer;
	GeeHashMap* file_hash;
	guint64 timeout;
	gboolean extract_metadata;
};


static gpointer rygel_media_export_metadata_extractor_parent_class = NULL;

GType rygel_media_export_metadata_extractor_get_type (void) G_GNUC_CONST;
#define RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, RygelMediaExportMetadataExtractorPrivate))
enum  {
	RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR_DUMMY_PROPERTY
};
RygelMediaExportMetadataExtractor* rygel_media_export_metadata_extractor_new (void);
RygelMediaExportMetadataExtractor* rygel_media_export_metadata_extractor_construct (GType object_type);
static void rygel_media_export_metadata_extractor_on_done (RygelMediaExportMetadataExtractor* self, GUPnPDLNAInformation* dlna, GError* err);
static void _rygel_media_export_metadata_extractor_on_done_gupnp_dlna_discoverer_done (GUPnPDLNADiscoverer* _sender, GUPnPDLNAInformation* dlna, GError* err, gpointer self);
void rygel_media_export_metadata_extractor_extract (RygelMediaExportMetadataExtractor* self, GFile* file);
static void rygel_media_export_metadata_extractor_extract_basic_information (RygelMediaExportMetadataExtractor* self, GFile* file, GUPnPDLNAInformation* dlna);
static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__OBJECT_POINTER (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void rygel_media_export_metadata_extractor_finalize (GObject* obj);


static void _rygel_media_export_metadata_extractor_on_done_gupnp_dlna_discoverer_done (GUPnPDLNADiscoverer* _sender, GUPnPDLNAInformation* dlna, GError* err, gpointer self) {
#line 76 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	rygel_media_export_metadata_extractor_on_done (self, dlna, err);
#line 95 "rygel-media-export-metadata-extractor.c"
}


RygelMediaExportMetadataExtractor* rygel_media_export_metadata_extractor_construct (GType object_type) {
	RygelMediaExportMetadataExtractor * self = NULL;
	GeeHashMap* _tmp0_;
	RygelMetaConfig* _tmp1_ = NULL;
	RygelMetaConfig* config;
	gboolean _tmp4_;
	GError * _inner_error_ = NULL;
#line 59 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	self = (RygelMediaExportMetadataExtractor*) g_object_new (object_type, NULL);
#line 60 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, G_TYPE_FILE, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 60 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_g_object_unref0 (self->priv->file_hash);
#line 60 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	self->priv->file_hash = _tmp0_;
#line 62 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp1_ = rygel_meta_config_get_default ();
#line 62 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	config = _tmp1_;
#line 118 "rygel-media-export-metadata-extractor.c"
	{
		gboolean _tmp2_ = FALSE;
		gboolean _tmp3_;
#line 64 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp2_ = rygel_configuration_get_bool ((RygelConfiguration*) config, "MediaExport", "extract-metadata", &_inner_error_);
#line 64 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp3_ = _tmp2_;
#line 64 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		if (_inner_error_ != NULL) {
#line 128 "rygel-media-export-metadata-extractor.c"
			goto __catch20_g_error;
		}
#line 64 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		self->priv->extract_metadata = _tmp3_;
#line 133 "rygel-media-export-metadata-extractor.c"
	}
	goto __finally20;
	__catch20_g_error:
	{
		GError* _error_ = NULL;
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_error_ = _inner_error_;
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_inner_error_ = NULL;
#line 67 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		self->priv->extract_metadata = TRUE;
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_error_free0 (_error_);
#line 147 "rygel-media-export-metadata-extractor.c"
	}
	__finally20:
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_inner_error_ != NULL) {
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_object_unref0 (config);
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_clear_error (&_inner_error_);
#line 63 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		return NULL;
#line 160 "rygel-media-export-metadata-extractor.c"
	}
#line 70 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp4_ = self->priv->extract_metadata;
#line 70 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_tmp4_) {
#line 166 "rygel-media-export-metadata-extractor.c"
		guint64 _tmp5_;
		GstClockTime gst_timeout;
		GstClockTime _tmp6_;
		GUPnPDLNADiscoverer* _tmp7_;
		GUPnPDLNADiscoverer* _tmp8_;
		GUPnPDLNADiscoverer* _tmp9_;
#line 71 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp5_ = self->priv->timeout;
#line 71 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		gst_timeout = (GstClockTime) (_tmp5_ * GST_SECOND);
#line 73 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp6_ = gst_timeout;
#line 73 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp7_ = gupnp_dlna_discoverer_new (_tmp6_, TRUE, TRUE);
#line 73 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_object_unref0 (self->priv->discoverer);
#line 73 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		self->priv->discoverer = _tmp7_;
#line 76 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp8_ = self->priv->discoverer;
#line 76 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_signal_connect_object (_tmp8_, "done", (GCallback) _rygel_media_export_metadata_extractor_on_done_gupnp_dlna_discoverer_done, self, 0);
#line 77 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp9_ = self->priv->discoverer;
#line 77 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		gst_discoverer_start ((GstDiscoverer*) _tmp9_);
#line 193 "rygel-media-export-metadata-extractor.c"
	}
#line 59 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_g_object_unref0 (config);
#line 59 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	return self;
#line 199 "rygel-media-export-metadata-extractor.c"
}


RygelMediaExportMetadataExtractor* rygel_media_export_metadata_extractor_new (void) {
#line 59 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	return rygel_media_export_metadata_extractor_construct (RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR);
#line 206 "rygel-media-export-metadata-extractor.c"
}


void rygel_media_export_metadata_extractor_extract (RygelMediaExportMetadataExtractor* self, GFile* file) {
	gboolean _tmp0_;
#line 87 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (self != NULL);
#line 87 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (file != NULL);
#line 88 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp0_ = self->priv->extract_metadata;
#line 88 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_tmp0_) {
#line 220 "rygel-media-export-metadata-extractor.c"
		GFile* _tmp1_;
		gchar* _tmp2_ = NULL;
		gchar* uri;
		GeeHashMap* _tmp3_;
		const gchar* _tmp4_;
		GFile* _tmp5_;
		GUPnPDLNADiscoverer* _tmp6_;
		const gchar* _tmp7_;
#line 89 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp1_ = file;
#line 89 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp2_ = g_file_get_uri (_tmp1_);
#line 89 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		uri = _tmp2_;
#line 90 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp3_ = self->priv->file_hash;
#line 90 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp4_ = uri;
#line 90 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp5_ = file;
#line 90 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp3_, _tmp4_, _tmp5_);
#line 91 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp6_ = self->priv->discoverer;
#line 91 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp7_ = uri;
#line 91 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		gupnp_dlna_discoverer_discover_uri (_tmp6_, _tmp7_);
#line 88 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_free0 (uri);
#line 251 "rygel-media-export-metadata-extractor.c"
	} else {
		GFile* _tmp8_;
#line 93 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp8_ = file;
#line 93 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		rygel_media_export_metadata_extractor_extract_basic_information (self, _tmp8_, NULL);
#line 258 "rygel-media-export-metadata-extractor.c"
	}
}


static void rygel_media_export_metadata_extractor_on_done (RygelMediaExportMetadataExtractor* self, GUPnPDLNAInformation* dlna, GError* err) {
	GeeHashMap* _tmp0_;
	GUPnPDLNAInformation* _tmp1_;
	GstDiscovererInfo* _tmp2_;
	GstDiscovererInfo* _tmp3_;
	const gchar* _tmp4_ = NULL;
	gpointer _tmp5_ = NULL;
	GFile* file;
	GFile* _tmp6_;
	GeeHashMap* _tmp11_;
	GUPnPDLNAInformation* _tmp12_;
	GstDiscovererInfo* _tmp13_;
	GstDiscovererInfo* _tmp14_;
	const gchar* _tmp15_ = NULL;
	GUPnPDLNAInformation* _tmp16_;
	GstDiscovererInfo* _tmp17_;
	GstDiscovererInfo* _tmp18_;
	GstDiscovererResult _tmp19_ = 0;
	GFile* _tmp29_;
	GUPnPDLNAInformation* _tmp30_;
#line 97 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (self != NULL);
#line 97 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (dlna != NULL);
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp0_ = self->priv->file_hash;
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp1_ = dlna;
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp2_ = gupnp_dlna_information_get_info (_tmp1_);
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp3_ = _tmp2_;
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp4_ = gst_discoverer_info_get_uri (_tmp3_);
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp5_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp0_, _tmp4_);
#line 99 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	file = (GFile*) _tmp5_;
#line 100 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp6_ = file;
#line 100 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_tmp6_ == NULL) {
#line 305 "rygel-media-export-metadata-extractor.c"
		GUPnPDLNAInformation* _tmp7_;
		GstDiscovererInfo* _tmp8_;
		GstDiscovererInfo* _tmp9_;
		const gchar* _tmp10_ = NULL;
#line 101 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp7_ = dlna;
#line 101 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp8_ = gupnp_dlna_information_get_info (_tmp7_);
#line 101 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp9_ = _tmp8_;
#line 101 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp10_ = gst_discoverer_info_get_uri (_tmp9_);
#line 101 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_warning ("rygel-media-export-metadata-extractor.vala:101: File %s already handle" \
"d, ignoring event", _tmp10_);
#line 104 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_object_unref0 (file);
#line 104 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		return;
#line 324 "rygel-media-export-metadata-extractor.c"
	}
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp11_ = self->priv->file_hash;
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp12_ = dlna;
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp13_ = gupnp_dlna_information_get_info (_tmp12_);
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp14_ = _tmp13_;
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp15_ = gst_discoverer_info_get_uri (_tmp14_);
#line 107 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	gee_abstract_map_unset ((GeeAbstractMap*) _tmp11_, _tmp15_, NULL);
#line 109 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp16_ = dlna;
#line 109 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp17_ = gupnp_dlna_information_get_info (_tmp16_);
#line 109 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp18_ = _tmp17_;
#line 109 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp19_ = gst_discoverer_info_get_result (_tmp18_);
#line 109 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if ((_tmp19_ & GST_DISCOVERER_TIMEOUT) != 0) {
#line 348 "rygel-media-export-metadata-extractor.c"
		GFile* _tmp20_;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_;
#line 110 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp20_ = file;
#line 110 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp21_ = g_file_get_uri (_tmp20_);
#line 110 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp22_ = _tmp21_;
#line 110 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_debug ("rygel-media-export-metadata-extractor.vala:110: Extraction timed out o" \
"n %s", _tmp22_);
#line 110 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_free0 (_tmp22_);
#line 113 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		dlna = NULL;
#line 364 "rygel-media-export-metadata-extractor.c"
	} else {
		GUPnPDLNAInformation* _tmp23_;
		GstDiscovererInfo* _tmp24_;
		GstDiscovererInfo* _tmp25_;
		GstDiscovererResult _tmp26_ = 0;
#line 114 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp23_ = dlna;
#line 114 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp24_ = gupnp_dlna_information_get_info (_tmp23_);
#line 114 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp25_ = _tmp24_;
#line 114 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp26_ = gst_discoverer_info_get_result (_tmp25_);
#line 114 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		if ((_tmp26_ & GST_DISCOVERER_ERROR) != 0) {
#line 380 "rygel-media-export-metadata-extractor.c"
			GFile* _tmp27_;
			GError* _tmp28_;
#line 116 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp27_ = file;
#line 116 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp28_ = err;
#line 116 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			g_signal_emit_by_name (self, "error", _tmp27_, _tmp28_);
#line 118 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_g_object_unref0 (file);
#line 118 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			return;
#line 393 "rygel-media-export-metadata-extractor.c"
		}
	}
#line 121 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp29_ = file;
#line 121 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp30_ = dlna;
#line 121 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	rygel_media_export_metadata_extractor_extract_basic_information (self, _tmp29_, _tmp30_);
#line 97 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_g_object_unref0 (file);
#line 404 "rygel-media-export-metadata-extractor.c"
}


static gpointer _g_error_copy0 (gpointer self) {
#line 144 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	return self ? g_error_copy (self) : NULL;
#line 411 "rygel-media-export-metadata-extractor.c"
}


static void rygel_media_export_metadata_extractor_extract_basic_information (RygelMediaExportMetadataExtractor* self, GFile* file, GUPnPDLNAInformation* dlna) {
	GError * _inner_error_ = NULL;
#line 124 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (self != NULL);
#line 124 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (file != NULL);
#line 421 "rygel-media-export-metadata-extractor.c"
	{
		GFileInfo* file_info = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_;
		gchar* content_type;
		const gchar* _tmp13_;
		gchar* _tmp14_ = NULL;
		gchar* mime;
		gint64 _tmp15_ = 0LL;
		gint64 size;
		guint64 _tmp16_ = 0ULL;
		guint64 mtime;
		GFile* _tmp17_;
		GUPnPDLNAInformation* _tmp18_;
		const gchar* _tmp19_;
		gint64 _tmp20_;
		guint64 _tmp21_;
		{
			GFile* _tmp0_;
			GFileInfo* _tmp1_ = NULL;
			GFileInfo* _tmp2_;
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp0_ = file;
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp1_ = g_file_query_info (_tmp0_, G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE "," G_FILE_ATTRIBUTE_STANDARD_SIZE "," G_FILE_ATTRIBUTE_TIME_MODIFIED, G_FILE_QUERY_INFO_NONE, NULL, &_inner_error_);
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp2_ = _tmp1_;
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			if (_inner_error_ != NULL) {
#line 451 "rygel-media-export-metadata-extractor.c"
				goto __catch22_g_error;
			}
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_g_object_unref0 (file_info);
#line 130 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			file_info = _tmp2_;
#line 458 "rygel-media-export-metadata-extractor.c"
		}
		goto __finally22;
		__catch22_g_error:
		{
			GError* _error_ = NULL;
			const gchar* _tmp3_ = NULL;
			GFile* _tmp4_;
			gchar* _tmp5_ = NULL;
			gchar* _tmp6_;
			GFile* _tmp7_;
			GError* _tmp8_;
			GError* _tmp9_;
			GError* _tmp10_;
#line 129 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_error_ = _inner_error_;
#line 129 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_inner_error_ = NULL;
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp3_ = _ ("Failed to query content type for '%s'");
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp4_ = file;
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp5_ = g_file_get_uri (_tmp4_);
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp6_ = _tmp5_;
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			g_warning (_tmp3_, _tmp6_);
#line 138 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_g_free0 (_tmp6_);
#line 142 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp7_ = file;
#line 142 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp8_ = _error_;
#line 142 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			g_signal_emit_by_name (self, "error", _tmp7_, _tmp8_);
#line 144 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp9_ = _error_;
#line 144 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_tmp10_ = _g_error_copy0 (_tmp9_);
#line 144 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_inner_error_ = _tmp10_;
#line 144 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_g_error_free0 (_error_);
#line 502 "rygel-media-export-metadata-extractor.c"
			goto __finally22;
		}
		__finally22:
#line 129 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		if (_inner_error_ != NULL) {
#line 129 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
			_g_object_unref0 (file_info);
#line 510 "rygel-media-export-metadata-extractor.c"
			goto __catch21_g_error;
		}
#line 147 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp11_ = g_file_info_get_content_type (file_info);
#line 147 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp12_ = g_strdup (_tmp11_);
#line 147 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		content_type = _tmp12_;
#line 148 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp13_ = content_type;
#line 148 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp14_ = g_content_type_get_mime_type (_tmp13_);
#line 148 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		mime = _tmp14_;
#line 149 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp15_ = g_file_info_get_size (file_info);
#line 149 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		size = _tmp15_;
#line 150 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp16_ = g_file_info_get_attribute_uint64 (file_info, G_FILE_ATTRIBUTE_TIME_MODIFIED);
#line 150 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		mtime = _tmp16_;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp17_ = file;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp18_ = dlna;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp19_ = mime;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp20_ = size;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp21_ = mtime;
#line 153 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_signal_emit_by_name (self, "extraction-done", _tmp17_, _tmp18_, _tmp19_, (guint64) _tmp20_, _tmp21_);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_free0 (mime);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_free0 (content_type);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_object_unref0 (file_info);
#line 551 "rygel-media-export-metadata-extractor.c"
	}
	goto __finally21;
	__catch21_g_error:
	{
		GError* _error_ = NULL;
		GFile* _tmp22_;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_;
		GError* _tmp25_;
		const gchar* _tmp26_;
		GFile* _tmp27_;
		GError* _tmp28_;
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_error_ = _inner_error_;
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_inner_error_ = NULL;
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp22_ = file;
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp23_ = g_file_get_uri (_tmp22_);
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp24_ = _tmp23_;
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp25_ = _error_;
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp26_ = _tmp25_->message;
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_debug ("rygel-media-export-metadata-extractor.vala:159: Failed to extract basi" \
"c metadata from %s: %s", _tmp24_, _tmp26_);
#line 159 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_free0 (_tmp24_);
#line 162 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp27_ = file;
#line 162 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp28_ = _error_;
#line 162 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_signal_emit_by_name (self, "error", _tmp27_, _tmp28_);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_g_error_free0 (_error_);
#line 590 "rygel-media-export-metadata-extractor.c"
	}
	__finally21:
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_inner_error_ != NULL) {
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		g_clear_error (&_inner_error_);
#line 126 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		return;
#line 601 "rygel-media-export-metadata-extractor.c"
	}
}


static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64) (gpointer data1, gpointer arg_1, gpointer arg_2, const char* arg_3, guint64 arg_4, guint64 arg_5, gpointer data2);
	register GMarshalFunc_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64 callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (n_param_values == 6);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data1 = closure->data;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data2 = param_values->data[0].v_pointer;
#line 621 "rygel-media-export-metadata-extractor.c"
	} else {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data1 = param_values->data[0].v_pointer;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data2 = closure->data;
#line 627 "rygel-media-export-metadata-extractor.c"
	}
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	callback = (GMarshalFunc_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64) (marshal_data ? marshal_data : cc->callback);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	callback (data1, g_value_get_object (param_values + 1), g_value_get_object (param_values + 2), g_value_get_string (param_values + 3), g_value_get_uint64 (param_values + 4), g_value_get_uint64 (param_values + 5), data2);
#line 633 "rygel-media-export-metadata-extractor.c"
}


static void g_cclosure_user_marshal_VOID__OBJECT_POINTER (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__OBJECT_POINTER) (gpointer data1, gpointer arg_1, gpointer arg_2, gpointer data2);
	register GMarshalFunc_VOID__OBJECT_POINTER callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_return_if_fail (n_param_values == 3);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data1 = closure->data;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data2 = param_values->data[0].v_pointer;
#line 652 "rygel-media-export-metadata-extractor.c"
	} else {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data1 = param_values->data[0].v_pointer;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		data2 = closure->data;
#line 658 "rygel-media-export-metadata-extractor.c"
	}
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	callback = (GMarshalFunc_VOID__OBJECT_POINTER) (marshal_data ? marshal_data : cc->callback);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	callback (data1, g_value_get_object (param_values + 1), g_value_get_pointer (param_values + 2), data2);
#line 664 "rygel-media-export-metadata-extractor.c"
}


static void rygel_media_export_metadata_extractor_class_init (RygelMediaExportMetadataExtractorClass * klass) {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	rygel_media_export_metadata_extractor_parent_class = g_type_class_peek_parent (klass);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_type_class_add_private (klass, sizeof (RygelMediaExportMetadataExtractorPrivate));
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	G_OBJECT_CLASS (klass)->finalize = rygel_media_export_metadata_extractor_finalize;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_signal_new ("extraction_done", RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__OBJECT_OBJECT_STRING_UINT64_UINT64, G_TYPE_NONE, 5, G_TYPE_FILE, GUPNP_TYPE_DLNA_INFORMATION, G_TYPE_STRING, G_TYPE_UINT64, G_TYPE_UINT64);
#line 677 "rygel-media-export-metadata-extractor.c"
	/**
	     * Signalize that an error occured during metadata extraction
	     */
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	g_signal_new ("error", RYGEL_MEDIA_EXPORT_TYPE_METADATA_EXTRACTOR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__OBJECT_POINTER, G_TYPE_NONE, 2, G_TYPE_FILE, G_TYPE_POINTER);
#line 683 "rygel-media-export-metadata-extractor.c"
}


static void rygel_media_export_metadata_extractor_instance_init (RygelMediaExportMetadataExtractor * self) {
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	self->priv = RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR_GET_PRIVATE (self);
#line 55 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	self->priv->timeout = (guint64) 10;
#line 692 "rygel-media-export-metadata-extractor.c"
}


static void rygel_media_export_metadata_extractor_finalize (GObject* obj) {
	RygelMediaExportMetadataExtractor * self;
	gboolean _tmp0_;
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	self = RYGEL_MEDIA_EXPORT_METADATA_EXTRACTOR (obj);
#line 82 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_tmp0_ = self->priv->extract_metadata;
#line 82 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	if (_tmp0_) {
#line 705 "rygel-media-export-metadata-extractor.c"
		GUPnPDLNADiscoverer* _tmp1_;
#line 83 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		_tmp1_ = self->priv->discoverer;
#line 83 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
		gst_discoverer_stop ((GstDiscoverer*) _tmp1_);
#line 711 "rygel-media-export-metadata-extractor.c"
	}
#line 48 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_g_object_unref0 (self->priv->discoverer);
#line 54 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	_g_object_unref0 (self->priv->file_hash);
#line 35 "/home/jens/Source/rygel/src/plugins/media-export/rygel-media-export-metadata-extractor.vala"
	G_OBJECT_CLASS (rygel_media_export_metadata_extractor_parent_class)->finalize (obj);
#line 719 "rygel-media-export-metadata-extractor.c"
}


/**
 * Metadata extractor based on Gstreamer. Just set the URI of the media on the
 * uri property, it will extact the metadata for you and emit signal
 * metadata_available for each key/value pair extracted.
 */
GType rygel_media_export_metadata_extractor_get_type (void) {
	static volatile gsize rygel_media_export_metadata_extractor_type_id__volatile = 0;
	if (g_once_init_enter (&rygel_media_export_metadata_extractor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (RygelMediaExportMetadataExtractorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rygel_media_export_metadata_extractor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RygelMediaExportMetadataExtractor), 0, (GInstanceInitFunc) rygel_media_export_metadata_extractor_instance_init, NULL };
		GType rygel_media_export_metadata_extractor_type_id;
		rygel_media_export_metadata_extractor_type_id = g_type_register_static (G_TYPE_OBJECT, "RygelMediaExportMetadataExtractor", &g_define_type_info, 0);
		g_once_init_leave (&rygel_media_export_metadata_extractor_type_id__volatile, rygel_media_export_metadata_extractor_type_id);
	}
	return rygel_media_export_metadata_extractor_type_id__volatile;
}



